## org.apache.lucene.queryParser.surround.query
Class AndQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.ComposedQuery
              org.apache.lucene.queryParser.surround.query.AndQuery

All Implemented Interfaces:
  java.lang.Cloneable

    public class AndQuery

extends ComposedQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`AndQuery(java.util.List queries, boolean inf, java.lang.String opName)`

Method Summary
`org.apache.lucene.search.Query` `makeLuceneQueryFieldNoBoost(java.lang.String fieldName, BasicQueryFactory qf)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.ComposedQuery
`getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndQuery

    public AndQuery(java.util.List queries,
                    boolean inf,
                    java.lang.String opName)

Method Detail

### makeLuceneQueryFieldNoBoost

    public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(java.lang.String fieldName,
                                                                      BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.